[Overview][Types][Classes][Index] | Reference for unit 'iostream' (#fcl)

# TIOStream.Read

Read data from the stream.

## Declaration

Source position: iostream.pp line 38

`public function TIOStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Memory buffer for the read data
`Count` |  | Number of bytes to read

## Function result

The number of bytes actually read

## Description

Read checks first whether the type of the stream allows reading (type is iosInput). If not, it raises a EIOStreamError exception. If the stream can be read, it calls the inherited Read to actually read the data.

## Errors

An EIOStreamError exception is raised if the stream does not allow reading.

## See also

TIOSType |  | Type of stream to create
TIOStream.Write |  | Write data to the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net.